

- sync_tsc_bp_init seems to have the sense of `init' inverted.

- SPIN_LOCK_UNLOCKED is deprecated - use DEFINE_SPINLOCK.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/smpboot.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/x86_64/kernel/smpboot.c~x86_64-switch-smp-bootup-over-to-new-cpu-hotplug-state-fix arch/x86_64/kernel/smpboot.c
--- 25/arch/x86_64/kernel/smpboot.c~x86_64-switch-smp-bootup-over-to-new-cpu-hotplug-state-fix	2005-04-07 20:41:00.000000000 -0700
+++ 25-akpm/arch/x86_64/kernel/smpboot.c	2005-04-07 20:41:00.000000000 -0700
@@ -136,14 +136,14 @@ static void __cpuinit smp_store_cpu_info
  */
 
 static atomic_t __cpuinitdata tsc_flag;
-static spinlock_t tsc_sync_lock __cpuinitdata = SPIN_LOCK_UNLOCKED;
+static __cpuinitdata DEFINE_SPINLOCK(tsc_sync_lock);
 static unsigned long long __cpuinitdata bp_tsc, ap_tsc;
 
 #define NR_LOOPS 5
 
 static void __cpuinit sync_tsc_bp_init(int init)
 {
-	if (!init)
+	if (init)
 		_raw_spin_lock(&tsc_sync_lock);
 	else
 		_raw_spin_unlock(&tsc_sync_lock);
_
